import * as react from 'react';

interface UsePointerEventsProps<E> {
    onPointerDown?: React.PointerEventHandler<E>;
    onPointerUp?: React.PointerEventHandler<E>;
    onPress?: React.PointerEventHandler<E>;
}
declare const usePointerEvents: <E extends HTMLElement = HTMLElement>(props?: UsePointerEventsProps<E>) => {
    onPointerDown: (e: react.PointerEvent<E>) => void;
    onPointerUp: (e: react.PointerEvent<E>) => void;
};
type UsePointerEventsReturn = ReturnType<typeof usePointerEvents>;

export { type UsePointerEventsProps, type UsePointerEventsReturn, usePointerEvents };
