// src/index.ts
import { useRef } from "react";
import { useCallbackRef } from "@webbo-ui/use-callback-ref";
var usePointerEvents = (props = {}) => {
  const {
    onPointerDown: onPointerDownProp,
    onPointerUp: onPointerUpProp,
    onPress
  } = props;
  const pointerRef = useRef(false);
  const onPointerDown = useCallbackRef((e) => {
    onPointerDownProp?.(e);
    pointerRef.current = true;
    ["pointerup", "pointercancel", "keydown"].forEach(
      (event) => document.addEventListener(
        event,
        () => {
          pointerRef.current = false;
        },
        { once: true }
      )
    );
  });
  const onPointerUp = useCallbackRef((e) => {
    onPointerUpProp?.(e);
    if (pointerRef.current === true && e.button === 0) {
      onPress?.(e);
    }
    pointerRef.current = false;
  });
  return { onPointerDown, onPointerUp };
};
export {
  usePointerEvents
};
